DB2 on Debian

DB2 v5.2, v6.1, and v7.1 for Linux comes in RPM format. We can force it to be installed on Debian with several modifications

I have successfully installed DB2 v5.2 and v6.1 on Debian 2.1, and DB2 v7.1 on Debian 2.2. I believe v5.2 and v6.1 can be installed on Debian 2.2 the same way too.

Package Prerequisites v5.2, v6.1

package    | needed version | Debian 2.1 version
-----------+----------------+---------------------------
glibc      | 2.0.7+         | 2.0.7.19981211
kernel     | 2.0.35+        | 2.0.38
libstdc++  | 2.8.0+         | 2.90.29-2
pdksh      | any (?)        | 5.2.13-3
rpm        | any (?)        | 2.5.1-6

$ dpkg -l|egrep -e '(libc6|libstdc++|pdksh|rpm)'|awk '{print $1,$2,$3}'

  ... it should contains:
  ii  libc6           2.0.7.19981211
  ii  libstdc++2.8    2.90.29-2
  ii  pdksh           5.2.13-3     
  ii  rpm             2.5.1-6     

Package Prerequisites v7.1

package    | needed version | Debian 2.2 version
-----------+----------------+---------------------------
glibc      | 2.1.2+         | 2.1.3
kernel     | 2.2.12+        | 2.2.17
libstdc++  | =2.9.0         | available, default is 2.10
pdksh      | 5.2+           | 5.2.14
rpm        | 3.0+           | 3.0.3

$ dpkg -l|egrep -e '(libc6|libstdc++|pdksh|rpm|zip)'|awk '{print $1,$2,$3}'

  ... it should contains:
  ii  libc6                 2.1.3-13         
  ii  libstdc++2.9-glibc2.1 2.91.66-4        
  ii  pdksh                 5.2.14-1
  ii  rpm                   3.0.3-1          
  ii  unzip                 5.40-1           

Installation Steps

Testing

Cleanups

Please refer to DB2 Version 7.1 for Linux HOWTO, http://www.linuxdoc.org/HOWTO/DB2-HOWTO/index.html for other Linux distributions.


$Id: db2.html,v 1.4 2000/10/06 03:31:06 andika Exp andika $